﻿<%@ Page Title="گزارش 7" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="Report7.aspx.cs" Inherits="Presentation.Pages.Member.Report7" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <a>از تاریخ : </a>
    <pdc:PersianDateTextBox ID="pdtStartDate" runat="server" DefaultDate="" IconUrl="~/Images/Calendar.gif"
        SetDefaultDateOnEvent="OnDoubleClick" Width="200px"></pdc:PersianDateTextBox>
    <asp:RequiredFieldValidator ID="rfvStartDate" runat="server" ControlToValidate="pdtStartDate"
        ForeColor="Red">→</asp:RequiredFieldValidator>
    <pdc:PersianDateValidator ID="pdvEndDate" runat="server" ControlToValidate="pdtStartDate">
    </pdc:PersianDateValidator>
    <br />
                <asp:CustomValidator ID="cvStartDate" runat="server" 
                    ControlToValidate="pdtStartDate" Font-Names="Tahoma" Font-Size="12px" 
                    ForeColor="Red" onservervalidate="cvStartDate_ServerValidate">تاریخ از اکنون به بعد باید وارد شود</asp:CustomValidator>
    <pdc:PersianDateScriptManager ID="pdsmEndDate" runat="server" CalendarCSS="PickerCalendarCSS"
        CalendarDayWidth="50" FooterCSS="PickerFooterCSS" ForbidenCSS="PickerForbidenCSS"
        ForbidenDates="" ForbidenWeekDays="" FrameCSS="PickerCSS" HeaderCSS="PickerHeaderCSS"
        SelectedCSS="PickerSelectedCSS" WeekDayCSS="PickerWeekDayCSS" WorkDayCSS="PickerWorkDayCSS">
    </pdc:PersianDateScriptManager>
    <br />
    <a>تا تاریخ : </a>
    <pdc:PersianDateTextBox ID="pdtEndDate" runat="server" DefaultDate="" IconUrl="~/Images/Calendar.gif"
        SetDefaultDateOnEvent="OnDoubleClick" Width="200px"></pdc:PersianDateTextBox>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="pdtEndDate"
        ForeColor="Red">→</asp:RequiredFieldValidator>
    <pdc:PersianDateValidator ID="PersianDateValidator1" runat="server" ControlToValidate="pdtEndDate">
    </pdc:PersianDateValidator>
    <pdc:PersianDateScriptManager ID="PersianDateScriptManager1" runat="server" CalendarCSS="PickerCalendarCSS"
        CalendarDayWidth="50" FooterCSS="PickerFooterCSS" ForbidenCSS="PickerForbidenCSS"
        ForbidenDates="" ForbidenWeekDays="" FrameCSS="PickerCSS" HeaderCSS="PickerHeaderCSS"
        SelectedCSS="PickerSelectedCSS" WeekDayCSS="PickerWeekDayCSS" WorkDayCSS="PickerWorkDayCSS">
    </pdc:PersianDateScriptManager>
    <br />
    <a>از قیمت :&nbsp; </a> <br />
    <asp:TextBox ID="txtOfPrice" runat="server" Width="200px"></asp:TextBox>
    <br />
    <a>تا قیمت&nbsp; :&nbsp; </a> <br />
    <asp:TextBox ID="txtToPrice" runat="server" Width="200px"></asp:TextBox>
    <br />
    <a>تعداد تخت : </a> <br />
    <asp:TextBox ID="txtCountBedroom" runat="server" Width="200px"></asp:TextBox>
    <br />
    <br />
    <asp:Button ID="btnSearch" runat="server" Text="مشاهده" CssClass="Button" OnClick="btnSearch_Click" />
    <br />
    <br />
    <br />
    <asp:GridView ID="grdRooms" runat="server" AutoGenerateColumns="False" BackColor="White"
        BorderColor="#3366CC" BorderStyle="None" BorderWidth="1px" CellPadding="4" Width="100%">
        <RowStyle HorizontalAlign="Center" />
        <Columns>
            <asp:BoundField HeaderText="شماره اتاق" DataField="RoomNumber" />
            <asp:BoundField HeaderText="اجاره اتاق" DataField="Price" DataFormatString="{0:c0}" />
            <asp:TemplateField HeaderText="روزهای خالی">
                <ItemTemplate>
                    <asp:Repeater ID="rptEmptyDate" runat="server" DataSource='<%#Eval("DateEmpty") %>'>
                        <ItemTemplate>
                            <asp:Label ID="Label1" runat="server" Text='<%#Eval("Date","{0:dddd d MMMM yyyy}") %>' />
                        </ItemTemplate>
                        <SeparatorTemplate>
                            &nbsp;&nbsp;|&nbsp;&nbsp;
                        </SeparatorTemplate>
                    </asp:Repeater>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <FooterStyle BackColor="#99CCCC" ForeColor="#003399" />
        <HeaderStyle BackColor="#003399" Font-Bold="True" ForeColor="#CCCCFF" />
        <PagerStyle BackColor="#99CCCC" ForeColor="#003399" HorizontalAlign="Left" />
        <RowStyle BackColor="White" ForeColor="#003399" />
        <SelectedRowStyle BackColor="#009999" Font-Bold="True" ForeColor="#CCFF99" />
        <SortedAscendingCellStyle BackColor="#EDF6F6" />
        <SortedAscendingHeaderStyle BackColor="#0D4AC4" />
        <SortedDescendingCellStyle BackColor="#D6DFDF" />
        <SortedDescendingHeaderStyle BackColor="#002876" />
    </asp:GridView>
</asp:Content>
