﻿<%@ Page Title="مدیریت  هتل" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ManageHotel.aspx.cs" Inherits="Presentation.Pages.Admin.ManageHotel" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <asp:MultiView ID="mvHotel" runat="server" ActiveViewIndex="0">
        <asp:View ID="vwManagementHotel" runat="server">
            <asp:Button ID="btnInsertHotel" runat="server" OnClick="btnInsertHotel_Click" Text="افزودن اطلاعات هتل"
                Width="" CssClass="Button" />
            <asp:Button ID="btnReturnToPanelHotel" runat="server" OnClick="btnReturnToPanelHotel_Click"
                Text="برگشت به پنل مدیریت" Width="" CssClass="Button" /><asp:GridView ID="grdHotel"
                    runat="server" Width="97%" CellPadding="4" ForeColor="#333333" GridLines="None"
                    AutoGenerateColumns="False" AllowPaging="True" OnRowCommand="grdHotel_RowCommand"
                    OnPageIndexChanging="grdHotel_PageIndexChanging" OnRowDeleting="grdHotel_RowDeleting"
                    OnRowEditing="grdHotel_RowEditing" OnRowUpdating="grdHotel_RowUpdating">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="Description" HeaderText="توضیحات" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Description">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Image" HeaderText="عکس" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Image">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Address" HeaderText="آدرس" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Address">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="HotelName" HeaderText="نام هتل" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="HotelName">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Email" HeaderText="ایمیل" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Email">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Telephone" HeaderText="تلفن" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Telephone">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="دستورات" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="30%">
                            <ItemTemplate>
                                <asp:LinkButton ID="lbEdit" runat="server" CommandArgument='<%# Eval("HotelID") %>'
                                    CommandName="doEdit">ویرایش
                                </asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("HotelID") %>'
                                    CommandName="doDelete">حذف</asp:LinkButton>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#7C6F57" />
                    <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" Height="30px" />
                    <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#E3EAEB" />
                    <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F8FAFA" />
                    <SortedAscendingHeaderStyle BackColor="#246B61" />
                    <SortedDescendingCellStyle BackColor="#D4DFE1" />
                    <SortedDescendingHeaderStyle BackColor="#15524A" />
                </asp:GridView>
        </asp:View>
        <asp:View ID="vwInsertUpdateHotel" runat="server">
            <table>
                <tr>
                    <td>
                        توضیحات
                    </td>
                    <td>
                        <asp:TextBox ID="txtDescription" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        عکس
                    </td>
                    <td>
                        <asp:TextBox ID="txtImage" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        آدرس
                    </td>
                    <td>
                        <asp:TextBox ID="txtAddress" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        نام هتل
                    </td>
                    <td>
                        <asp:TextBox ID="txtHotelName" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        ایمیل
                    </td>
                    <td>
                        <asp:TextBox ID="txtEmail" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        تلفن
                    </td>
                    <td>
                        <asp:TextBox ID="txtTelephone" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnInsertAndUpdateHotel" runat="server" OnClick="btnInsertAndUpdateHotel_Click"
                            Text="ثبت" Width="" CssClass="Button" />
                        <asp:Button ID="btnCancelHotel" runat="server" OnClick="btnCancelHotel_Click" Text="لغو"
                            Width="" CssClass="Button" />
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>
