﻿<%@ Page Title="مدیریت نوع کاربری" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ManageUserType.aspx.cs" Inherits="Presentation.Pages.Admin.ManageUserType" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <asp:MultiView ID="mvUserType" runat="server" ActiveViewIndex="0">
        <asp:View ID="vwManagementUserType" runat="server">
            <asp:Button ID="btnInsertUserType" runat="server" OnClick="btnInsertUserType_Click"
                Text="افزودن نوع کاربری" Width="" CssClass="Button" />
            <asp:Button ID="btnReturnToPanelUserType" runat="server" OnClick="btnReturnToPanelUserType_Click"
                Text="برگشت به پنل مدیریت" Width="" CssClass="Button" /><asp:GridView ID="grdUserType"
                    runat="server" Width="97%" CellPadding="4" ForeColor="#333333" GridLines="None"
                    AutoGenerateColumns="False" AllowPaging="True" OnRowCommand="grdUserType_RowCommand"
                    OnPageIndexChanging="grdUserType_PageIndexChanging" OnRowDeleting="grdUserType_RowDeleting"
                    OnRowEditing="grdUserType_RowEditing" OnRowUpdating="grdUserType_RowUpdating">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="Title" HeaderText="نام کاربری" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Title">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="دستورات" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="30%">
                            <ItemTemplate>
                                <asp:LinkButton ID="lbEdit" runat="server" CommandArgument='<%# Eval("UserTypeID") %>'
                                    CommandName="doEdit">ویرایش
                                </asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("UserTypeID") %>'
                                    CommandName="doDelete">حذف</asp:LinkButton>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#7C6F57" />
                    <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" Height="30px" />
                    <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#E3EAEB" />
                    <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F8FAFA" />
                    <SortedAscendingHeaderStyle BackColor="#246B61" />
                    <SortedDescendingCellStyle BackColor="#D4DFE1" />
                    <SortedDescendingHeaderStyle BackColor="#15524A" />
                </asp:GridView>
        </asp:View>
        <asp:View ID="vwInsertUpdateUserType" runat="server">
            <table>
                <tr>
                    <td>
                        نام کاربری
                    </td>
                    <td>
                        <asp:TextBox ID="txtTitle" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnInsertAndUpdateUserType" runat="server" OnClick="btnInsertAndUpdateUserType_Click"
                            Text="ثبت" Width="" CssClass="Button" />
                        <asp:Button ID="btnCancelUserType" runat="server" OnClick="btnCancelUserType_Click"
                            Text="لغو" Width="" CssClass="Button" />
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>
